package com.brilliance.isc.convert.mt7xx;

import com.alibaba.fastjson.JSON;
import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.commontag.DcDateCurAmtTagXXX;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT732Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * @author gaosheng
 * @date 2023/2/28
 */
public class Mt732Test {
    @Test
    public void mt732_Test(){

        MT732Creator mt732Creator = new MT732Creator("732");
        mt732Creator.setSendersTRN("606487");
        mt732Creator.setPresentingBanksReference("606487");
        mt732Creator.setDateOfAdviceOfPaymentAN("130726");
        //32B
        DcDateCurAmtTagXXX amountOfUtilisation=new DcDateCurAmtTagXXX("32");
        amountOfUtilisation.setAmount(new BigDecimal("1000.00"));
        amountOfUtilisation.setCurrency("USD");
        mt732Creator.setAmountOfUtilisation(amountOfUtilisation);;//3!a15d


        mt732Creator.setSenderToReceiverInformation("WE NOTED FCR SHOWING\n " +
                "YOURSELVES AS CONSIGNEE\n" +
                " PLEASE DISCHARGE US SOONEST");


        /********以上为json参数**************/

        MtResult mtResult= MtCreatorManager.packMT(mt732Creator);

    }

}
